
var userType_ = 100;

function isPersonal(){
	if(userType_==100){
		userType_=-100;
	}else{
		userType_=100;
	}
	
}

function isCheck(url){
	
	$("#username").removeClass("input_css_error");
	$("#username").addClass("input_css");
	
	$("#password").removeClass("input_css_error");
	$("#password").addClass("input_css");
	
	$("#yzm").removeClass("input_css_error");	
	$("#yzm").addClass("input_css");
	
	if($("#username").val()==""){
		$("#username").removeClass("input_css");
		$("#username").addClass("input_css_error");
		
		return false;
	}else if($("#password").val()==""){
		
		$("#password").removeClass("input_css");
		$("#password").addClass("input_css_error");
		return false;
	}else if($("#yzm").val()==""){
		$("#yzm").removeClass("input_css");
		$("#yzm").addClass("input_css_error");
		return false;
	}else{
		$.ajax({
		       type: "POST",
		       dataType: "json",
		       //cache:true,
		       url: url+"json/loginAction_login.action?request_locale=zh_CN",
		       data: { userName:$("#username").val(), userPass: $("#password").val(), yzm:$("yzm").val(), userType:userType_},
		       success: function(json) {
			         if(json.flag==true){
			        	 tw_remberpwd();
			        	 window.location.replace(url+"gpsonline/jsp/monitor/main.jsp");
			         }else{
			        	 if(json.msg=="验证码错误"){
			        		 $("#yzm").removeClass("input_css");
			        		 $("#yzm").addClass("input_css_error");
			        	 }else{
			        		 $("#username").removeClass("input_css");
				     		 $("#username").addClass("input_css_error");
				     		 
				     		 $("#password").removeClass("input_css");
				    		 $("#password").addClass("input_css_error");
			        	 }
			         }
		       },
		       error: function() {
		           // alert('获取账号信息失败...请稍后重试!');
		       }
		  });
		
	}
	
}

//天网登陆
$(function(){
	
	tw_loginFormInit();

});

function tw_loginFormInit(){
	
	$("#tw_validateCodeImg").click(function(){
		tw_refreshValidateCode();
	});
	
	$("#tw_validateCoderefBtn").click(function(){
		tw_refreshValidateCode();
	});
	
	tw_fillLoginAccount();
}

function tw_refreshValidateCode(){
	$("#tw_validateCodeImg").attr("src",  "../../../stream/validateCode_loginCode.action?date="+(new Date().getTime()));
}

function tw_remberpwd(){
	 var account = {	name : $("#username").val(),
	 					pwd : (tw_isremberpwd() ? $("#password").val() : ""),
	 					type : (tw_isremberpwd() && $("#tw_type").is(":checked") ? 1 : 0) 				
	 				};
	 $.cookie('tw_account', JSON.stringify(account) , { path: '/', expires: 7 });  
}

function tw_isremberpwd(){
	return $("#tw_remberpwd").is(":checked");
}

function tw_fillLoginAccount(){
	var account= $.cookie('tw_account');
	if(account == null) return;
	account = jQuery.parseJSON(account);
	$("#username").val(account.name);
	$("#password").val(account.pwd);
	if(account.type == 1) $("#tw_type").attr("checked", "checked");
	$("#tw_remberpwd").attr("checked", "checked");
}